%define name pinentry
%define version 0.6.6
%define release alt1
%define build_all 0
%define build_qt 0
%define qtdir /usr/lib/qt3

Summary: Collection of simple PIN or passphrase entry dialogs
Name: %name
Version: %version
Release: %release
Source0: %name-%version.tar.gz
License: GPL
Group: File tools
URL: http://www.gnupg.org/

Provides: %_bindir/%name
%if %build_qt
Requires: libqt3-gcc_compiled = %__gcc_version_base
Provides: %name-qt = %version-%release
Obsoletes: %name-qt
%else
Provides: %name-gtk = %version-%release
Obsoletes: %name-gtk
%endif

# Automatically added by buildreq on Mon Dec 16 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ glib-devel gtk+-devel libXft libcap-devel libexpat libfontconfig libjpeg liblcms libmng libncurses-devel libqt3-devel libstdc++-devel libtinfo-devel
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: libXft libcap-devel libexpat
BuildRequires: libfontconfig libjpeg liblcms libmng
BuildRequires: libncurses-devel libstdc++-devel libtinfo-devel
%if %build_qt
BuildRequires: libqt3-devel libqt3-gcc_compiled = %__gcc_version_base
%else
BuildRequires: glib-devel gtk+-devel
%endif

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%package curses
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name

%package gtk
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name

%package qt
Group: %group
Summary: %summary
Provides: %name = %version-%release
Provides: %_bindir/%name
Obsoletes: %name

%description curses
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description gtk
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%description qt
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project

%prep
%setup -q

%build
#%%add_optflags -DUSE_KDE
export QTDIR=%qtdir

%if %build_all

%configure --enable-pinentry-gtk  --enable-pinentry-curses  --enable-pinentry-qt --disable-fallback-curses

%else

%if %build_qt
%configure --disable-pinentry-gtk --disable-pinentry-curses --enable-pinentry-qt --disable-fallback-curses
%else
%configure --enable-pinentry-gtk --disable-pinentry-curses --disable-pinentry-qt --disable-fallback-curses
%endif
%endif


%make

%install
%makeinstall

%post curses
%_sbindir/update-alternatives --install %_bindir/%name %name %_bindir/%name-curses 10
%postun curses
%_sbindir/update-alternatives --auto %name

%post gtk
%_sbindir/update-alternatives --install %_bindir/%name %name %_bindir/%name-gtk 20
%postun gtk
%_sbindir/update-alternatives --auto %name

%post qt
%_sbindir/update-alternatives --install %_bindir/%name %name %_bindir/%name-qt 30
%postun qt
%_sbindir/update-alternatives --auto %name

%post
%if %build_qt
%_sbindir/update-alternatives --install %_bindir/%name %name %_bindir/%name-qt 40
%else
%_sbindir/update-alternatives --install %_bindir/%name %name %_bindir/%name-gtk 40
%endif
%postun
%_sbindir/update-alternatives --auto %name



%if %build_all

%files curses
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_bindir/%name-curses
%_infodir/*.info*
%files gtk
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_bindir/%name-gtk
%_infodir/*.info*
%files qt
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_bindir/%name-qt
%_infodir/*.info*

%else

%files
%_bindir/%{name}*
%_infodir/*.info*

%endif


%changelog
* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.6.6-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
